> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prelude.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List sessions

> List all active sessions for the authenticated user.



## OpenAPI

````yaml get /v1/session/me/list
openapi: 3.1.1
info:
  title: Prelude Session Frontend API
  version: 0.0.1
  description: The Prelude Frontend API for Session Management
  contact:
    email: support@prelude.so
servers:
  - url: https://{appId}.session.prelude.dev
    description: Production server
    variables:
      appId:
        default: changeme
        description: The appID
security: []
tags:
  - name: Login OTP
    description: Login and step-up via OTP (phone or email)
  - name: Login Email Password
    description: Login via email and password
  - name: Login OAuth
    description: Login via OAuth providers
  - name: Login Finalize
    description: Finalize a login flow and create a session
  - name: Login Migration
    description: Migrate sessions from a legacy authentication system
  - name: Session
    description: Session refresh and revocation
  - name: Session Management
    description: Authenticated session and identifier management
  - name: Step-Up
    description: Step-up authentication flow
  - name: Well-Known
    description: Public key discovery endpoints
  - name: Password
    description: Password compliancy and change password
paths:
  /v1/session/me/list:
    get:
      tags:
        - Session Management
      summary: List sessions
      description: List all active sessions for the authenticated user.
      operationId: listSessions
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
            default: 10
            minimum: 1
            maximum: 100
            examples:
              - 10
          description: Maximum number of sessions to return
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
            minimum: 0
            examples:
              - 0
          description: Number of sessions to skip
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListSessionsResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '500':
          description: Internal Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalError'
      security:
        - accessTokenAuth: []
components:
  schemas:
    ListSessionsResponse:
      type: object
      properties:
        sessions:
          type: array
          items:
            $ref: '#/components/schemas/SessionView'
        total:
          type: integer
          examples:
            - 3
        limit:
          type: integer
          examples:
            - 10
        offset:
          type: integer
          examples:
            - 0
      required:
        - sessions
        - total
        - limit
        - offset
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          enum:
            - unauthorized
        type:
          type: string
          enum:
            - unauthorized
    InternalError:
      type: object
      properties:
        code:
          type: string
          enum:
            - internal
        type:
          type: string
          enum:
            - internal
    SessionView:
      type: object
      properties:
        id:
          type: string
          examples:
            - ses_01jqebhswje1ka1z7ahr9rfsgt
        device_model:
          type: string
          examples:
            - iPhone 15 Pro
        device_type:
          type: string
          examples:
            - mobile
        os_version:
          type: string
          examples:
            - iOS 17.4
        country_code:
          type: string
          examples:
            - US
        created_at:
          type: string
          format: date-time
          examples:
            - '2024-06-01T12:00:00Z'
        last_seen_at:
          type: string
          format: date-time
          examples:
            - '2024-06-06T15:30:00Z'
        expires_at:
          type: string
          format: date-time
          examples:
            - '2024-07-01T12:00:00Z'
  securitySchemes:
    accessTokenAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access token obtained from session refresh

````